Skip to main content
GET
/
v1
/
trajectories
List Trajectories
curl --request GET \
  --url https://api.cyberdesk.io/v1/trajectories \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cyberdesk.io/v1/trajectories"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cyberdesk.io/v1/trajectories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "trajectory_data": [
        {}
      ],
      "dimensions": {},
      "is_approved": true,
      "has_been_approved": true,
      "is_generated": true,
      "is_main": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "description": "<string>",
      "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "original_input_values": {},
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "<string>"
    }
  ],
  "total": 123,
  "skip": 123,
  "limit": 123,
  "included": [
    {
      "type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

search
string | null

Search trajectories by id, name, or description (case-insensitive substring match)

workflow_id
string<uuid> | null

Filter by workflow ID

run_id
string<uuid> | null

Filter by run ID

is_approved
boolean | null

Filter by approval status (true=approved, false=not approved)

is_generated
boolean | null
default:true

Filter by generated status (true=generated, false=pending generation). Defaults to true.

created_at_from
string<date-time> | null

Filter trajectories created at or after this ISO timestamp (UTC)

created_at_to
string<date-time> | null

Filter trajectories created at or before this ISO timestamp (UTC)

updated_at_from
string<date-time> | null

Filter trajectories updated at or after this ISO timestamp (UTC)

updated_at_to
string<date-time> | null

Filter trajectories updated at or before this ISO timestamp (UTC)

include
string | null

Comma-separated list of related resources to include. Allowed values: workflow. Example: include=workflow

skip
integer
default:0
Required range: x >= 0
limit
integer
default:100
Required range: 1 <= x <= 1000

Response

Successful Response

items
TrajectoryResponse · object[]
required
total
integer
required
skip
integer
required
limit
integer
required
included
IncludedResource · object[] | null

Related resources requested via the include query parameter